Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Properties | Events | List of all members
Microscopic_Traffic_Simulator.ViewModels.ClosableViewModel Class Reference

Class representing closable view model. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ViewModels.ClosableViewModel:

## Protected Member Functions
| ClosableViewModel ()
| Creates viewmodel. More...
Protected Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
| ViewModelBase ()
| Create viewmodel base. More...
virtual void | OnPropertyChanged (string propertyName)
| Raises this object's PropertyChanged event. More...
virtual void | OnDispose ()
| Child classes can override this method to perform clean-up logic, such as removing event handlers. More...

## Properties
ICommand | CloseCommand`[get]`
| Returns the command that, when invoked, attempts to remove this workspace from the user interface. More...
Properties inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
virtual bool | ThrowOnInvalidPropertyName`[get]`
| Returns whether an exception is thrown, or if a Debug.Fail() is used when an invalid property name is passed to the VerifyPropertyName method. The default value is false, but subclasses used by unit tests might override this property's getter to return true. More...

## Events
EventHandler | RequestClose
| Raised when this workspace should be removed from the UI. More...
Events inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
PropertyChangedEventHandler | PropertyChanged
| Raised when a property on this object has a new value. More...

## Additional Inherited Members
Public Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
void | VerifyPropertyName (string propertyName)
| Warns the developer if this object does not have a public property with the specified name. This method does not exist in a Release build. More...
void | Dispose ()
| Invoked when this object is being removed from the application and will be subject to garbage collection. More...
Protected Attributes inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
Messenger | messenger
| Instance of messenger for communicating between view models. More...

## Detailed Description

Class representing closable view model.

Definition at line 9 of file ClosableViewModel.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator.ViewModels.ClosableViewModel.ClosableViewModel | ( |  | ) |
| protected

Creates viewmodel.

Definition at line 34 of file ClosableViewModel.cs.

## Property Documentation

ICommand Microscopic_Traffic_Simulator.ViewModels.ClosableViewModel.CloseCommand
| get

Returns the command that, when invoked, attempts to remove this workspace from the user interface.

Definition at line 21 of file ClosableViewModel.cs.

## Event Documentation

EventHandler Microscopic_Traffic_Simulator.ViewModels.ClosableViewModel.RequestClose

Raised when this workspace should be removed from the UI.

Definition at line 39 of file ClosableViewModel.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/ViewModels/ClosableViewModel.cs